%define module_name RPi-GPIOExpander-MCP23017
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(RPi/Const.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.02
Release: alt4
Summary: Interface to the MCP23017 GPIO Expander Integrated Circuit over I2C
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/ST/STEVEB/%{module_name}-%{version}.tar.gz

%description
This distribution allows you to interface with an MCP23017 (i2c based
communication) GPIO expander chip. It provides 16 GPIO digital pins.

There are two "banks" of pins, bank `0' (A) and bank `1' (B). Each bank
contains eight pins.

Pins can be accessed/modified individually, by bank, or all at once.

In this initial distribution, not all of the chip's functionality is included,
but the core functionality is. In upcoming releases, we'll add the remaining
functionality, particularly interrupts.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO Changes README
%perl_vendor_archlib/R*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.02-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.02-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.02-alt2
- rebuild with perl 5.30

* Fri Oct 25 2019 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- updated by package builder

* Sun Oct 20 2019 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.00-alt1.1
- rebuild with perl 5.28.1

* Sun Jun 17 2018 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- regenerated from template by package builder

* Fri Jun 08 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

